body {background: var(--main-background);color: var(--color-black); display: flex; flex-direction: column; min-height: 100vh;}
.pagination .page-link {color: var(--btn-primary-color);}
header {position: relative; display: block;z-index: 99;background: var(--module-background);box-shadow: 0 0 13px #000}
.header-cart-button-badge {position: absolute;top: -4px;right:-8px;background: var(--color-secondary);border-radius:100%;color: var(--color-white);font-size: 10px; font-weight: 300;width: 18px;height: 18px;display:flex; align-items: center;justify-content: center;}
.header-cart-product{display: grid; grid-template-columns: auto 12fr; gap:12px;background: #fff; padding: 12px;margin-bottom: 12px;}
.header-cart-caption-top, .header-cart-caption-bottom, .header-cart-total, .header-cart-buttons{display: flex;justify-content: space-between;align-items: center;}
.header-cart-product-title, .header-cart-caption-bottom-right{font-size: 16px; font-weight: 600;}
.header-cart-product-quantity{background: var(--color-primary); padding: 2px 5px; color: #fff;}
.header-cart-total-label{font-weight: 400; font-size: 16px; line-height: 24px;}
.header-cart-total-value{font-weight: 700; font-size: 16px; line-height: 24px; color: var(--color-primary)}
.header-cart-buttons{margin-top: 16px;}
.header-cart-product-remove{background: red; border: none; width: 24px; height: 24px; display: flex; align-items: center; justify-content: center; color: #fff;border-radius:4px;}
.header-cart-btn-cart svg {height: 28px;}
.header-cart-btn-cart svg path {stroke: var(--color-white);}
.header-cart-button-icon{position: relative; display: inline-block;}
.header-cart-text-items{display: inline-block; margin-left: 10px;color:#212121;font-size: 16px; font-weight: 600;}
.header-cart-button{border: solid 1px #000; border-radius: 20px; height: 40px; padding: 0 20px; display:flex; align-items: center;}
.header-cart-button:hover{background:var(--color-secondary); border: solid 1px var(--color-secondary)}
.header-cart-button:hover svg{fill:#fff}
.header-cart-button:hover .header-cart-button-badge{background: #fff;color:var(--color-primary)}
.header-cart-button:hover .header-cart-text-items{color: #fff}
.img-logo-header{max-height: 80px;}
/* START Pop-up cart */
.popup-product{position: fixed; top:0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.7); z-index: 9999; display: flex; align-items: center; justify-content: center}
.close-popup-product{position: absolute; top: 0; left:0; width: 100%; height: 100%; z-index: 1; background: transparent;}
.popup-product-container{width: 50vw; max-width: 568px; min-width: 320px; background: #fff; padding: 100px; border-radius: 100%; aspect-ratio: 1 / 1; text-align: center; position: relative; z-index: 2; display: flex; align-items: center; justify-content: center;}
.popup-product-title{font-size: 20px; font-weight: 600; text-transform: uppercase; margin-bottom: 32px;}
.popup-product-numeprodus{font-size: 18px; font-weight: 500; margin-bottom: 10px;}
.row-btn-popup-product{display: flex; gap: 10px; justify-content: space-between; margin-top: 32px;}
.btn-popup-product{background: #fff; border: solid 2px var(--color-secondary); border-radius: var(--radius); height: 40px; line-height: 40px; padding: 0 10px}
.btn-popup-product:hover{background: var(--color-primary); color: #fff; border: solid 2px var(--color-primary)}
.btn-active-popup{background: var(--color-secondary); border: solid 2px var(--color-secondary); color: #fff;}
.btn-active-popup:hover{background: var(--color-primary);}
/* END Pop-up cart */

.header-icon-title{display: flex; gap: 10px; font-size: 16px; font-weight: 600; margin-bottom: 20px; align-items: center; justify-content: center;}
.header-form-input label{font-weight: 600; margin-bottom: 5px}
.header-form-input input{margin-bottom: 16px;}
.row-header-top{display:grid; grid-template-columns: 12fr auto; align-items: center;}
.row-header-bottom{display:grid; grid-template-columns: auto 12fr auto; align-items: center; grid-template-areas: "logoarea searcharea accessarea" "menuarea menuarea menuarea"; gap: 0 100px;}
.logoarea{grid-area: logoarea; margin-top: 10px;}
.searcharea{grid-area: searcharea;}
.accessarea{grid-area: accessarea; display: flex; gap: 12px; align-items: center; height: 50px;}
.menuarea{grid-area: menuarea;position: relative;}
.header-top{border-bottom: solid 1px var(--color-general-border);position: relative; z-index:9}
.header-drop{position:relative; height: 100%; display: flex; align-items: center;}
.header-drop-down{display: none;position: absolute;right: 0px;top: 100%;min-width: 300px; max-width:568px; background: var(--color-dropdown); z-index: 9; line-height: 40px; border: solid 1px var(--color-general-border); box-shadow: 0 2px 10px -5px rgba(0, 0, 0, 0.7); padding: 20px;}
.header-drop:hover .header-drop-down{display: block;}
.header-bottom-title{font-size: 20px; font-weight: 600; margin-top: 16px; text-align: center;}
.iconheader{border: solid 1px #000; border-radius: 100%; width: 40px; height: 40px; display: flex; align-items: center; justify-content: center; background: #fff;}
.iconheader:hover{background: var(--color-secondary); border: solid 1p var(--color-secondary)}
.iconheader:hover svg{fill: #fff;}
.headerfix header{position: fixed;top:0;;animation: headerfix 0.1s ease-in-out; width: 100%; z-index: 999999;}
@keyframes headerfix{
    0%{transform: translateY(-100px);opacity: 0;}
    100% {transform: translateY(0px);opacity: 1;}
}
.acasa{margin-top: 0 !important;}


a, .btn, .form-control, button {
    transition: 0.2s all;
    box-shadow: none;
    text-shadow: none;
    outline: none !important;
}
.form-control {
    border-color: var(--color-general-border);
}
.btn-link,
a {
    text-decoration: none;
    color: var(--color-href);
}
.btn-link:hover,
a:hover {
    color: var(--color-href-hover);
}
.btn.btn-default {
    background: var(--btn-default-background);
    border-color: var(--btn-default-border);
    color: var(--btn-default-color);
}
.btn.btn-default:hover {
    background: var(--btn-default-hover-background);
    border-color: var(--btn-default-hover-border);
    color: var(--btn-default-hover-color);
}
.btn.btn-primary {
    background: var(--btn-primary-background);
    border-color: var(--btn-primary-border);
    color: var(--btn-primary-color);
}
.btn.btn-primary:hover {
    background: var(--btn-primary-hover-background);
    border-color: var(--btn-primary-hover-border);
    color: var(--btn-primary-hover-color);
}
.btn.btn-secondary {
    background: var(--btn-secondary-background);
    border-color: var(--btn-secondary-border);
    color: var(--btn-secondary-color);
}
.btn.btn-secondary:hover {
    background: var(--btn-secondary-hover-background);
    border-color: var(--btn-secondary-hover-border);
    color: var(--btn-secondary-hover-color);
}
.btn.btn-warning {
    background: var(--btn-warning-background);
    border-color: var(--btn-warning-border);
    color: var(--btn-warning-color);
}
.btn.btn-warning:hover {
    background: var(--btn-warning-hover-background);
    border-color: var(--btn-warning-hover-border);
    color: var(--btn-warning-hover-color);
}
.btn.btn-success {
    background: var(--btn-success-background);
    border-color: var(--btn-success-border);
    color: var(--btn-success-color);
    margin-bottom: 0;
}
.btn.btn-success:hover {
    background: var(--btn-success-hover-background);
    border-color: var(--btn-success-hover-border);
    color: var(--btn-success-hover-color);
}
.btn.btn-danger {
    background: var(--btn-danger-background);
    border-color: var(--btn-danger-border);
    color: var(--btn-danger-color);
}
.btn.btn-danger:hover {
    background: var(--btn-danger-hover-background);
    border-color: var(--btn-danger-hover-border);
    color: var(--btn-danger-hover-color);
}
.btn.btn-info {
    background: var(--btn-info-background);
    border-color: var(--btn-info-border);
    color: var(--btn-info-color);
}
.btn.btn-info:hover {
    background: var(--btn-info-hover-background);
    border-color: var(--btn-info-hover-border);
    color: var(--btn-info-hover-color);
}
.pagination .page-item.active .page-link {
    background-color: var(--btn-primary-color);
    border-color: var(--btn-primary-color);
}